#include "..\\global\\iviewer.h"

#include "resource.h"
#include "ScrollHelper.h"

class CFrmWnd;

class CImpView : public CWnd
{
public:
	CImpView(CFrmWnd* pParent);
	~CImpView();
	DECLARE_MESSAGE_MAP()
	afx_msg void OnPaint();
	void OnDraw(CDC *pDC);
	void OnPrepareDC(CDC *pDC);
	LPVOID m_pStoredBitmap;
	DWORD m_dwStoredDataLen;
private:
	CScrollHelper m_scrollHelper;
public:

	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg BOOL OnMouseWheel(UINT nFlags, short zDelta, CPoint pt);

	CFrmWnd* m_pParent;
	afx_msg void OnUpdateRefreshNow(CCmdUI *pCmdUI);
	void UpdateScrollBars();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	BOOL StoreBitmap();
};